import 'package:i18n_extension/i18n_extension.dart';

extension Localization on String {
  static final _t = Translations.byLocale('en') +
      {
        'en': {
          'Paste a link': 'Paste a link',
          'Ok': 'Ok',
          'Select Color': 'Select Color',
          'Gallery': 'Gallery',
          'Link': 'Link',
          'Please first select some text to transform into a link.':
              'Please first select some text to transform into a link.',
          'Open': 'Open',
          'Copy': 'Copy',
          'Remove': 'Remove',
          'Save': 'Save',
          'Zoom': 'Zoom',
          'Saved': 'Saved',
          'Text': 'Text',
          'What is entered is not a link': 'What is entered is not a link',
          'Resize': 'Resize',
          'Width': 'Width',
          'Height': 'Height',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'en_us': {
          'Paste a link': 'Paste a link',
          'Ok': 'Ok',
          'Select Color': 'Select Color',
          'Gallery': 'Gallery',
          'Link': 'Link',
          'Please first select some text to transform into a link.':
              'Please first select some text to transform into a link.',
          'Open': 'Open',
          'Copy': 'Copy',
          'Remove': 'Remove',
          'Save': 'Save',
          'Zoom': 'Zoom',
          'Saved': 'Saved',
          'Text': 'Text',
          'What is entered is not a link': 'What is entered is not a link',
          'Resize': 'Resize',
          'Width': 'Width',
          'Height': 'Height',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'ar': {
          'Paste a link': 'نسخ الرابط',
          'Ok': 'نعم',
          'Select Color': 'اختار اللون',
          'Gallery': 'الصور',
          'Link': 'الرابط',
          'Please first select some text to transform into a link.':
              'يرجى اختيار نص للتحويل إلى رابط',
          'Open': 'فتح',
          'Copy': 'ينسخ',
          'Remove': 'إزالة',
          'Save': 'يحفظ',
          'Zoom': 'تكبير',
          'Saved': 'أنقذ',
          'Text': 'Text',
          'What is entered is not a link': 'What is entered is not a link',
          'Resize': 'Resize',
          'Width': 'Width',
          'Height': 'Height',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'da': {
          'Paste a link': 'Indsæt link',
          'Ok': 'Ok',
          'Select Color': 'Vælg farve',
          'Gallery': 'Galleri',
          'Link': 'Link',
          'Please first select some text to transform into a link.':
              'Vælg venligst først noget tekst for at lave det om til et link.',
          'Open': 'Åben',
          'Copy': 'Kopi',
          'Remove': 'Fjerne',
          'Save': 'Gemme',
          'Zoom': 'Zoom ind',
          'Saved': 'Gemt',
          'Text': 'Text',
          'What is entered is not a link': 'What is entered is not a link',
          'Resize': 'Resize',
          'Width': 'Width',
          'Height': 'Height',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'de': {
          'Paste a link': 'Link hinzufügen',
          'Ok': 'OK',
          'Select Color': 'Farbe auswählen',
          'Gallery': 'Galerie',
          'Link': 'Link',
          'Please first select some text to transform into a link.':
              'Markiere bitte zuerst einen Text, um diesen in einen Link zu '
                  'verwandeln.',
          'Open': 'Öffnen',
          'Copy': 'Kopieren',
          'Remove': 'Entfernen',
          'Save': 'Speichern',
          'Zoom': 'Zoomen',
          'Saved': 'Gespeichert',
          'Text': 'Text',
          'What is entered is not a link': 'Das Eingegebene ist kein Link',
          'Resize': 'Größe ändern',
          'Width': 'Breite',
          'Height': 'Höhe',
          'Size': 'Größe',
          'Small': 'Klein',
          'Large': 'Groß',
          'Huge': 'Riesig',
          'Clear': 'Löschen',
          'Font': 'Schrift',
          'Search': 'Suchen',
          'matches': 'gefunden',
          'showing match': 'zeige Treffer',
          'Prev': 'Vorheriger',
          'Next': 'Nächster',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'fr': {
          'Paste a link': 'Coller un lien',
          'Ok': 'Ok',
          'Select Color': 'Choisir une couleur',
          'Gallery': 'Galerie',
          'Link': 'Lien',
          'Please first select some text to transform into a link.':
              "Veuillez d'abord sélectionner un texte à transformer en lien.",
          'Open': 'Ouverte',
          'Copy': 'Copier',
          'Remove': 'Supprimer',
          'Save': 'Sauvegarder',
          'Zoom': 'Zoom',
          'Saved': 'Enregistrée',
          'Text': 'Text',
          'What is entered is not a link': "Ce qui est saisi n'est pas un lien",
          'Resize': 'Redimensionner',
          'Width': 'Largeur',
          'Height': 'Hauteur',
          'Size': 'Taille',
          'Small': 'Petit',
          'Large': 'Grand',
          'Huge': 'Énorme',
          'Clear': 'Supprimer la mise en forme',
          'Font': 'Police',
          'Search': 'Rechercher',
          'matches': 'correspondances',
          'showing match': 'voir la correspondance',
          'Prev': 'Précédent',
          'Next': 'Suivant',
          'Camera': 'Caméra',
          'Video': 'Vidéo',
        },
        'zh_cn': {
          'Paste a link': '粘贴链接',
          'Ok': '好',
          'Select Color': '选择颜色',
          'Gallery': '相簿',
          'Link': '链接',
          'Please first select some text to transform into a link.':
              '请先选择需转化为链接的文本',
          'Open': '打开',
          'Copy': '复制',
          'Remove': '移除',
          'Save': '保存',
          'Zoom': '放大',
          'Saved': '已保存',
          'Text': '文字',
          'What is entered is not a link': '输入的不是链接',
          'Resize': '调整大小',
          'Width': '宽度',
          'Height': '高度',
          'Size': '文字大小',
          'Small': '小字号',
          'Large': '大字号',
          'Huge': '超大字号',
          'Clear': '清除',
          'Font': '字体',
          'Search': '搜索',
          'matches': '结果',
          'showing match': '显示结果',
          'Prev': '上一个',
          'Next': '下一个',
          'Camera': '拍照',
          'Video': '录像',
        },
        'jp': {
          'Paste a link': 'リンクをペースト',
          'Ok': '完了',
          'Select Color': '色を選択',
          'Gallery': '写真集',
          'Link': 'リンク',
          'Please first select some text to transform into a link.':
              'まずリンクに変換する文字を選択してください.',
          'Open': '開く',
          'Copy': 'コピー',
          'Remove': '削除',
          'Save': '保存',
          'Zoom': '拡大',
          'Saved': '保存済み',
          'Text': '文字',
          'What is entered is not a link': '入力されたのはリンクではありません',
          'Resize': 'サイズを調整',
          'Width': '幅',
          'Height': '高さ',
          'Size': 'サイズ',
          'Small': '小さい',
          'Large': '大きい',
          'Huge': 'でっかい',
          'Clear': 'クリア',
          'Font': 'フォント',
          'Search': '検索',
          'matches': '結果',
          'showing match': '結果を表示',
          'Prev': '前へ',
          'Next': '次へ',
          'Camera': 'カメラ',
          'Video': 'ビデオ',
        },
        'ko': {
          'Paste a link': '링크를 붙여넣어 주세요.',
          'Ok': '확인',
          'Select Color': '색상 선택',
          'Gallery': '갤러리',
          'Link': '링크',
          'Please first select some text to transform into a link.':
              '링크로 전환할 글자를 먼저 선택해주세요.',
          'Open': '열기',
          'Copy': '복사하기',
          'Remove': '제거하기',
          'Save': '저장하기',
          'Zoom': '확대하기',
          'Saved': '저장되었습니다.',
          'Text': '텍스트',
          'What is entered is not a link': '입력한 내용은 링크가 아닙니다.',
          'Resize': '크기조정',
          'Width': '넓이',
          'Height': '높이',
          'Size': '크기',
          'Small': '작게',
          'Large': '크게',
          'Huge': '매우크게',
          'Clear': '초기화',
          'Font': '글꼴',
          'Search': '검색',
          'matches': '결과',
          'showing match': '결과 보기',
          'Prev': '이전',
          'Next': '다음',
          'Camera': '카메라',
          'Video': '비디오',
        },
        'ru': {
          'Paste a link': 'Вставить ссылку',
          'Ok': 'ОК',
          'Select Color': 'Выбрать цвет',
          'Gallery': 'Галерея',
          'Link': 'Ссылка',
          'Please first select some text to transform into a link.':
              'Выделите часть текста для создания ссылки.',
          'Open': 'Открыть',
          'Copy': 'Копировать',
          'Remove': 'Удалить',
          'Save': 'Сохранить',
          'Zoom': 'Увеличить',
          'Saved': 'Сохранено',
          'Text': 'Текст',
          'What is entered is not a link': 'Некорректная ссылка',
          'Resize': 'Resize',
          'Width': 'Width',
          'Height': 'Height',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'es': {
          'Paste a link': 'Pega un enlace',
          'Ok': 'Ok',
          'Select Color': 'Selecciona un color',
          'Gallery': 'Galería',
          'Link': 'Enlace',
          'Please first select some text to transform into a link.':
              'Por favor selecciona primero un texto para transformarlo '
                  'en un enlace',
          'Open': 'Abrir',
          'Copy': 'Copiar',
          'Remove': 'Eliminar',
          'Save': 'Guardar',
          'Zoom': 'Zoom',
          'Saved': 'Guardado',
          'Text': 'Texto',
          'What is entered is not a link': 'El link introducido no es válido',
          'Resize': 'Redimensionar',
          'Width': 'Ancho',
          'Height': 'Alto',
          'Size': 'Tamaño',
          'Small': 'Pequeño',
          'Large': 'Grande',
          'Huge': 'Muy grande',
          'Clear': 'Borrar',
          'Font': 'Fuente',
          'Search': 'Buscar',
          'matches': 'resultados',
          'showing match': 'mostrar resultado',
          'Prev': 'Anterior',
          'Next': 'Siguiente',
          'Camera': 'Cámara',
          'Video': 'Vídeo',
        },
        'tr': {
          'Paste a link': 'Bağlantıyı Yapıştır',
          'Ok': 'Tamam',
          'Select Color': 'Renk Seçin',
          'Gallery': 'Galeri',
          'Link': 'Bağlantı',
          'Please first select some text to transform into a link.':
              'Lütfen bağlantıya dönüştürmek için bir metin seçin.',
          'Open': 'Açık',
          'Copy': 'kopyala',
          'Remove': 'Kaldırmak',
          'Save': 'Kayıt etmek',
          'Zoom': 'yakınlaştır',
          'Saved': 'kaydedildi',
          'Text': 'Text',
          'What is entered is not a link': 'What is entered is not a link',
          'Resize': 'Resize',
          'Width': 'Genişlik',
          'Height': 'Yükseklik',
          'Size': 'Boyut',
          'Small': 'Küçük',
          'Large': 'Büyük',
          'Huge': 'Daha Büyük',
          'Clear': 'Temizle',
          'Font': 'Yazı tipi',
          'Search': 'Ara',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Devam',
          'Camera': 'Kamera',
          'Video': 'Video',
        },
        'uk': {
          'Paste a link': 'Вставити посилання',
          'Ok': 'ОК',
          'Select Color': 'Вибрати колір',
          'Gallery': 'Галерея',
          'Link': 'Посилання',
          'Please first select some text to transform into a link.':
              'Виділіть текст для створення посилання.',
          'Open': 'Відкрити',
          'Copy': 'Копіювати',
          'Remove': 'Видалити',
          'Save': 'Зберегти',
          'Zoom': 'Збільшити',
          'Saved': 'Збережено',
          'Text': 'Текст',
          'What is entered is not a link': 'Некоректне посилання',
          'Resize': 'Resize',
          'Width': 'Width',
          'Height': 'Height',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'pt': {
          'Paste a link': 'Colar um link',
          'Ok': 'Ok',
          'Select Color': 'Selecionar uma cor',
          'Gallery': 'Galeria',
          'Link': 'Link',
          'Please first select some text to transform into a link.':
              'Por favor selecione primeiro um texto para '
                  'transformá-lo em um link',
          'Open': 'Abra',
          'Copy': 'Copiar',
          'Remove': 'Remover',
          'Save': 'Salvar',
          'Zoom': 'Zoom',
          'Saved': 'Salvo',
          'Text': 'Texto',
          'What is entered is not a link': 'O link inserido não é válido',
          'Resize': 'Redimencionar',
          'Width': 'Largura',
          'Height': 'Altura',
          'Size': 'Tamanho',
          'Small': 'Pequeno',
          'Large': 'Grande',
          'Huge': 'Gigante',
          'Clear': 'Limpar',
          'Font': 'Fonte',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'pt_br': {
          'Paste a link': 'Colar um link',
          'Ok': 'Ok',
          'Select Color': 'Selecionar uma cor',
          'Gallery': 'Galeria',
          'Link': 'Link',
          'Please first select some text to transform into a link.':
              'Por favor selecione um texto para '
                  'transformá-lo em um link',
          'Open': 'Abrir',
          'Copy': 'Copiar',
          'Remove': 'Remover',
          'Save': 'Salvar',
          'Zoom': 'Zoom',
          'Saved': 'Salvo',
          'Text': 'Texto',
          'What is entered is not a link': 'O link inserido não é válido',
          'Resize': 'Redimensionar',
          'Width': 'Largura',
          'Height': 'Altura',
          'Size': 'Tamanho',
          'Small': 'Pequeno',
          'Large': 'Grande',
          'Huge': 'Gigante',
          'Clear': 'Limpar',
          'Font': 'Fonte',
          'Search': 'Buscar',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Anterior',
          'Next': 'Próximo',
          'Camera': 'Camera',
          'Video': 'Vídeo',
        },
        'pl': {
          'Paste a link': 'Wklej link',
          'Ok': 'OK',
          'Select Color': 'Wybierz kolor',
          'Gallery': 'Galeria',
          'Link': 'Link',
          'Please first select some text to transform into a link.':
              'Na początku zaznacz tekst aby zamienić go w link.',
          'Open': 'Otwórz',
          'Copy': 'Kopiuj',
          'Remove': 'Usuń',
          'Save': 'Zapisz',
          'Zoom': 'Powiększenie',
          'Saved': 'Zapisano',
          'Text': 'Tekst',
          'What is entered is not a link':
              'To, co jest wpisane, nie jest linkiem',
          'Resize': 'Resize',
          'Width': 'Width',
          'Height': 'Height',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'vi': {
          'Paste a link': 'Chèn liên kết',
          'Ok': 'OK',
          'Select Color': 'Chọn Màu',
          'Gallery': 'Thư viện',
          'Link': 'Liên kết',
          'Please first select some text to transform into a link.':
              'Vui lòng chọn trước phần chữ cần đổi thành liên kết',
          'Open': 'Mở',
          'Copy': 'Sao chép',
          'Remove': 'Xoá',
          'Save': 'Lưu',
          'Zoom': 'Thu phóng',
          'Saved': 'Đã lưu',
          'Text': 'Chữ',
          'What is entered is not a link':
              'Những gì được nhập không phải là một liên kết',
          'Resize': 'Resize',
          'Width': 'Width',
          'Height': 'Height',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'ur': {
          'Paste a link': 'لنک پیسٹ کریں',
          'Ok': 'ٹھیک ہے',
          'Select Color': 'رنگ منتخب کریں',
          'Gallery': 'گیلری',
          'Link': 'لنک',
          'Please first select some text to transform into a link.':
              'براہ کرم لنک میں تبدیل کرنے کے لیے پہلے کچھ متن منتخب کریں۔',
          'Open': 'کھولیں',
          'Copy': 'نقل',
          'Remove': 'ہٹا دیں',
          'Save': 'محفوظ کریں',
          'Zoom': 'زوم',
          'Saved': 'محفوظ کر لیا',
          'Text': 'متن',
          'What is entered is not a link': 'جو درج کیا گیا ہے وہ لنک نہیں ہے۔',
          'Resize': 'سائز تبدیل کریں۔',
          'Width': 'چوڑائی',
          'Height': 'اونچائی',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'id': {
          'Paste a link': 'Tempel tautan',
          'Ok': 'Oke',
          'Select Color': 'Pilih Warna',
          'Gallery': 'Galeri',
          'Link': 'Tautan',
          'Please first select some text to transform into a link.':
              'Silakan pilih dulu beberapa teks untuk diubah menjadi tautan.',
          'Open': 'Buka',
          'Copy': 'Salin',
          'Remove': 'Hapus',
          'Save': 'Simpan',
          'Zoom': 'Perbesar',
          'Saved': 'Tersimpan',
          'Text': 'Teks',
          'What is entered is not a link': 'Yang dimasukkan bukan tautan',
          'Resize': 'Ubah Ukuran',
          'Width': 'Lebar',
          'Height': 'Tinggi',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'no': {
          'Paste a link': 'Lim inn lenke',
          'Ok': 'Ok',
          'Select Color': 'Velg farge',
          'Gallery': 'Galleri',
          'Link': 'Lenke',
          'Please first select some text to transform into a link.':
              'Velg først litt tekst for å forvandle til en lenke.',
          'Open': 'Åpne',
          'Copy': 'Kopier',
          'Remove': 'Fjern',
          'Save': 'Lagre',
          'Zoom': 'Zoom',
          'Saved': 'Lagret',
          'Text': 'Tekst',
          'What is entered is not a link': 'Du har oppgitt en ugyldig lenke',
          'Resize': 'Endre størrelse',
          'Width': 'Bredde',
          'Height': 'Høyde',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'fa': {
          'Paste a link': 'جایگذاری لینک',
          'Ok': 'تایید',
          'Select Color': 'انتخاب رنگ',
          'Gallery': 'گالری',
          'Link': 'لینک',
          'Please first select some text to transform into a link.':
              'لطفا ابتدا متنی را برای تبدیل به لینک انتخاب کنید.',
          'Open': 'باز کردن',
          'Copy': 'کپی',
          'Remove': 'حذف',
          'Save': 'ذخیره',
          'Zoom': 'بزرگنمایی',
          'Saved': 'ذخیره شد',
          'Text': 'متن',
          'What is entered is not a link': 'لینک وارد شده معتبر نمی باشد',
          'Resize': 'تغییر اندازه',
          'Width': 'عرض',
          'Height': 'طول',
          'Size': 'اندازه',
          'Small': 'کوچک',
          'Large': 'بزرگ',
          'Huge': 'خیلی بزرگ',
          'Clear': 'پاک کردن',
          'Font': 'فونت',
          'Search': 'جستجو',
          'matches': 'نتایج',
          'showing match': 'نمایش نتیجه',
          'Prev': 'قبلی',
          'Next': 'بعدی',
          'Camera': 'دوربین',
          'Video': 'ویدیو',
        },
        'hi': {
          'Paste a link': 'लिंक पेस्ट करें',
          'Ok': 'ठीक है',
          'Select Color': 'रंग चुनें',
          'Gallery': 'गैलरी',
          'Link': 'लिंक',
          'Please first select some text to transform into a link.':
              'लिंक में बदलने के लिए कृपया पहले कुछ शब्द चुनें।',
          'Open': 'खोलें',
          'Copy': 'कॉपी करें',
          'Remove': 'हटाएं',
          'Save': 'सुरक्षित करें',
          'Zoom': 'बड़ा करें',
          'Saved': 'सुरक्षित कर दिया गया है',
          'Text': 'शब्द',
          'What is entered is not a link': 'जो लिखा गया है वह लिंक नहीं है',
          'Resize': 'आकार बदलें',
          'Width': 'चौड़ाई',
          'Height': 'ऊंचाई',
          'Size': 'Size',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'nl': {
          'Paste a link': 'Plak een link',
          'Ok': 'Ok',
          'Select Color': 'Selecteer kleur',
          'Gallery': 'Gallerij',
          'Link': 'Link',
          'Please first select some text to transform into a link.':
              'Selecteer eerst tekst om een link van te maken.',
          'Open': 'Open',
          'Copy': 'Kopieer',
          'Remove': 'Verwijderd',
          'Save': 'Opslaan',
          'Zoom': 'Zoom',
          'Saved': 'Opgeslagen',
          'Text': 'Tekst',
          'What is entered is not a link': 'Wat is ingevuld is geen link',
          'Resize': 'Formaat wijzigen',
          'Width': 'Breedte',
          'Height': 'Hoogte',
          'Size': 'Grootte',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'zh_hk': {
          'Paste a link': '貼上連結',
          'Ok': '確定',
          'Select Color': '選擇顏色',
          'Gallery': '圖片庫',
          'Link': '連結',
          'Please first select some text to transform into a link.':
              '請選擇文字以轉換為連結。',
          'Open': '開啓',
          'Copy': '複製',
          'Remove': '移除',
          'Save': '儲存',
          'Zoom': '放大',
          'Saved': '已儲存',
          'Text': '文字',
          'What is entered is not a link': '輸入的不是連結',
          'Resize': '變更大小',
          'Width': '寛',
          'Height': '高',
          'Size': '大小',
          'Small': '小',
          'Large': '大',
          'Huge': '超大',
          'Clear': '清除',
          'Font': '字型',
          'Search': '搜尋',
          'matches': '符合',
          'showing match': '顯示符合',
          'Prev': '上一個',
          'Next': '下一個',
          'Camera': '相機',
          'Video': '錄影',
        },
        'sr': {
          'Paste a link': 'Nalepi vezu',
          'Ok': 'OK',
          'Select Color': 'Odaberi boju',
          'Gallery': 'Galerija',
          'Link': 'Veza',
          'Please first select some text to transform into a link.':
              'Označite tekst kako bi ga pretvorili u vezu.',
          'Open': 'Otvori',
          'Copy': 'Kopiraj',
          'Remove': 'Ukloni',
          'Save': 'Sačuvaj',
          'Zoom': 'Uvećaj',
          'Saved': 'Sačuvano',
          'Text': 'Tekst',
          'What is entered is not a link': 'Neispravna veza',
          'Resize': 'Promeni veličinu',
          'Width': 'Širina',
          'Height': 'Visina',
          'Size': 'Veličina',
          'Small': 'Small',
          'Large': 'Large',
          'Huge': 'Huge',
          'Clear': 'Clear',
          'Font': 'Font',
          'Search': 'Search',
          'matches': 'matches',
          'showing match': 'showing match',
          'Prev': 'Prev',
          'Next': 'Next',
          'Camera': 'Camera',
          'Video': 'Video',
        },
        'cs': {
          'Paste a link': 'Vložte odkaz',
          'Ok': 'Ok',
          'Select Color': 'Vyberte barvu',
          'Gallery': 'Galerie',
          'Link': 'Odkaz',
          'Please first select some text to transform into a link.':
              'Nejprve vyberte nějaký text, který chcete převést na odkaz.',
          'Open': 'Otevřít',
          'Copy': 'Kopírovat',
          'Remove': 'Odstranit',
          'Save': 'Uložit',
          'Zoom': 'Přiblížit',
          'Saved': 'Uloženo',
          'Text': 'Text',
          'What is entered is not a link': 'Zadaný vstup není odkaz',
          'Resize': 'Změnit velikost',
          'Width': 'Šířka',
          'Height': 'Výška',
          'Size': 'Velikost',
          'Small': 'Malý',
          'Large': 'Velký',
          'Huge': 'Obrovský',
          'Clear': 'Smazat',
          'Font': 'Písmo',
          'Search': 'Hledat',
          'matches': 'odpovídá',
          'showing match': 'zobrazuje odpovídající',
          'Prev': 'Předchozí',
          'Next': 'Další',
          'Camera': 'Kamera',
          'Video': 'Video',
        },
        'he': {
          'Paste a link': 'הדבק את הלינק',
          'Ok': 'אוקי',
          'Select Color': 'בחר צבע',
          'Gallery': 'גלריה',
          'Link': 'לינק',
          'Please first select some text to transform into a link.':
              'בבקשה תחילה בחר טקסט להפיכה ללינק',
          'Open': 'פתח',
          'Copy': 'העתק',
          'Remove': 'מחק',
          'Save': 'שמור',
          'Zoom': 'זום',
          'Saved': 'נשמר',
          'Text': 'טקסט',
          'What is entered is not a link': 'מה שהוכנס הוא לא לינק',
          'Resize': 'שנה גודל',
          'Width': 'רוחב',
          'Height': 'גובה',
          'Size': 'גודל',
          'Small': 'קטן',
          'Large': 'גדול',
          'Huge': 'ענק',
          'Clear': 'מחוק',
          'Font': 'פונט',
          'Search': 'חפש',
          'matches': 'תוצאות',
          'showing match': 'מציג תוצאות',
          'Prev': 'הקודם',
          'Next': 'הבא',
          'Camera': 'מצלמה',
          'Video': 'וידאו',
        },
        'ms': {
          'Paste a link': 'Tampal Pautan',
          'Ok': 'Ok',
          'Select Color': 'Pilih Warna',
          'Gallery': 'Galeri',
          'Link': 'Pautan',
          'Please first select some text to transform into a link.':
              'Sila pilih beberapa patah perkataan'
                  ' untuk diubah menjadi pautan.',
          'Open': 'Buka',
          'Copy': 'Salin',
          'Remove': 'Buang',
          'Save': 'Simpan',
          'Zoom': 'Zum',
          'Saved': 'Telah Disimpan',
          'Text': 'Perkataan',
          'What is entered is not a link': 'Apa yang diisi bukan pautan',
          'Resize': 'Ubah saiz',
          'Width': 'Lebar',
          'Height': 'Tinggi',
          'Size': 'Saiz',
          'Small': 'Kecil',
          'Large': 'Besar',
          'Huge': 'Amat Besar',
          'Clear': 'Padam',
          'Font': 'Fon',
          'Search': 'Carian',
          'matches': 'padanan',
          'showing match': 'menunjukkan padanan',
          'Prev': 'Sebelum',
          'Next': 'Seterusnya',
          'Camera': 'Kamera',
          'Video': 'Video',
        },
        'it': {
          'Paste a link': 'Incolla un collegamento',
          'Ok': 'Ok',
          'Select Color': 'Seleziona Colore',
          'Gallery': 'Galleria',
          'Link': 'Collegamento',
          'Please first select some text to transform into a link.':
              'Per prima cosa seleziona del testo da trasformare in un link.',
          'Open': 'Apri',
          'Copy': 'Copia',
          'Remove': 'Rimuovi',
          'Save': 'Salva',
          'Zoom': 'Ingrandisci',
          'Saved': 'Salvato',
          'Text': 'Testo',
          'What is entered is not a link':
              'Ciò che viene inserito non è un collegamento',
          'Resize': 'Ridimensiona',
          'Width': 'Larghezza',
          'Height': 'Altezza',
          'Size': 'Dimensione',
          'Small': 'Piccolo',
          'Large': 'Largo',
          'Huge': 'Enorme',
          'Clear': 'Cancella',
          'Font': 'Font',
          'Search': 'Ricerca',
          'matches': 'corrispondenze',
          'showing match': 'visualizza corrispondenza',
          'Prev': 'Prec',
          'Next': 'Succ',
          'Camera': 'Camera',
          'Video': 'Video',
        },
      };

  String get i18n => localize(this, _t);
}
